%define upstream_name    IO-Tty
%define upstream_version 1.12

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        1

Summary:        Pseudo TTY object class


License:        GPL
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-devel


%description
The IO::Tty and IO::Pty modules provide an interface to pseudo tty's.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog README
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/IO
%{_mandir}/*/*

%changelog
* Fri Sep 26 2014 dsilakov <denis.silakov@rosalab.ru> 1.120.0-1
+ Revision: c431a6d
- Merge pull request #2 from import/perl-IO-Tty:auto_update
- ROSA Updates Builder: update suggested


